#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configdialog.ui'
**
** Created: Wed Jul 30 21:12:57 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configdialog.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qslider.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a ConfigDialog as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDialog::ConfigDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigDialog" );
    ConfigDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigDialogLayout"); 

    m_titleShadow = new QCheckBox( this, "m_titleShadow" );

    ConfigDialogLayout->addMultiCellWidget( m_titleShadow, 0, 0, 0, 3 );

    m_shrinkBorders = new QCheckBox( this, "m_shrinkBorders" );

    ConfigDialogLayout->addMultiCellWidget( m_shrinkBorders, 1, 1, 0, 3 );

    m_borderSize = new QSlider( this, "m_borderSize" );
    m_borderSize->setMinValue( 1 );
    m_borderSize->setMaxValue( 5 );
    m_borderSize->setPageStep( 1 );
    m_borderSize->setOrientation( QSlider::Horizontal );
    m_borderSize->setTickmarks( QSlider::Below );

    ConfigDialogLayout->addMultiCellWidget( m_borderSize, 2, 2, 1, 3 );

    textLabel1 = new QLabel( this, "textLabel1" );

    ConfigDialogLayout->addWidget( textLabel1, 2, 0 );
    QSpacerItem* spacer = new QSpacerItem( 20, 120, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigDialogLayout->addItem( spacer, 4, 2 );
    QSpacerItem* spacer_2 = new QSpacerItem( 230, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ConfigDialogLayout->addItem( spacer_2, 3, 2 );

    textLabel2 = new QLabel( this, "textLabel2" );

    ConfigDialogLayout->addWidget( textLabel2, 3, 1 );

    textLabel3 = new QLabel( this, "textLabel3" );

    ConfigDialogLayout->addWidget( textLabel3, 3, 3 );
    languageChange();
    resize( QSize(441, 318).expandedTo(minimumSizeHint()) );

    // buddies
    textLabel1->setBuddy( m_borderSize );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigDialog::~ConfigDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigDialog::languageChange()
{
    setCaption( tr2i18n( "Config Dialog" ) );
    m_titleShadow->setText( tr2i18n( "Use shadowed &text" ) );
    m_titleShadow->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QWhatsThis::add( m_titleShadow, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    m_shrinkBorders->setText( tr2i18n( "Sh&rink borders for maximized windows" ) );
    m_shrinkBorders->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( m_shrinkBorders, tr2i18n( "Check this option if you want parts of the borders to be hidden for maximized windows to improve accessibility." ) );
    QWhatsThis::add( m_borderSize, tr2i18n( "Here you can change the size of the borders to fit your taste." ) );
    textLabel1->setText( tr2i18n( "B&order size:" ) );
    textLabel2->setText( tr2i18n( "1 Pixel" ) );
    textLabel3->setText( tr2i18n( "5 Pixel" ) );
}

#include "configdialog.moc"
